KDE 4.7 PyKDE API Reference

- KDE's Python API

# ContainmentActionsPluginsConfig Class Reference

`from PyKDE4.plasma import *`

Namespace: Plasma

## Detailed Description

ContainmentActionsPluginsConfig plasma/containmentactionspluginsconfig.h <Plasma/ContainmentActionsPluginsConfig>

A class that holds a map of triggers to plugin names

Since:
  4.4

## Methods
| __init__ (self)
| __init__ (self, Plasma.ContainmentActionsPluginsConfig other)
| addPlugin (self, QEvent trigger, QString name)
| addPlugin (self, Qt::KeyboardModifiers modifiers, Qt::MouseButton button, QString name)
| addPlugin (self, Qt::KeyboardModifiers modifiers, Qt::Orientation wheelDirection, QString name)
| clear (self)
| remove (self, QEvent trigger)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Plasma.ContainmentActionsPluginsConfig | other
| ) |  |  |

addPlugin | ( | self, |
|  | QEvent | trigger,
|  | QString | name
| ) |  |  |

Sets trigger described by modifiers and wheelDirection to plugin name

addPlugin | ( | self, |
|  | Qt::KeyboardModifiers | modifiers,
|  | Qt::MouseButton | button,
|  | QString | name
| ) |  |  |

Sets trigger described by modifiers and wheelDirection to plugin name

addPlugin | ( | self, |
|  | Qt::KeyboardModifiers | modifiers,
|  | Qt::Orientation | wheelDirection,
|  | QString | name
| ) |  |  |

Sets trigger described by modifiers and wheelDirection to plugin name

clear | ( |  | self ) |

clears everything

remove | ( | self, |
|  | QEvent | trigger
| ) |  |  |

removes trigger

See also:
  addPlugin for an explanation of the trigger